import 'package:frontend_eccp_mobile/app/core/di/injection.config.dart';
import 'package:frontend_eccp_mobile/modules/auth/login/data/model/user_session.dart';
import 'package:get_it/get_it.dart';
import 'package:injectable/injectable.dart';

final GetIt getIt = GetIt.instance;

@InjectableInit()
Future<void> configureDependencies() async {
  getIt
    ..registerLazySingleton<UserSession>(UserSession.new)
    ..init();
}
